eoSTLUF(3)

NAME
eoSTLUF - Generic set of classes that wrap an eoF, eoUF or eoBF so that they have the copy semantics the STL functions usually require (i.e.

SYNOPSIS

#include <eoSTLFunctor.h>

  Public Member Functions
eoSTLUF (eoUF< A1, R > &_f)
R operator() (A1 a)

  Private Attributes
eoUF< A1, R > & f

Detailed Description

  template<class A1, class R> class eoSTLUF< A1, R >
Generic set of classes that wrap an eoF, eoUF or eoBF so that they have the copy semantics the STL functions usually require (i.e. they can be passed by value, rather than the EO standard pass by reference).

The family consists of eoSTLF, eoSTLUF, eoSTLBF that modify eoF, eoUF and eoBF respectively

Definition at line 78 of file eoSTLFunctor.h.

Author

Generated automatically by Doxygen for EO from the source code.